Loading...
Searching...
No Matches
pcl::MaskMap Class Reference

`#include <pcl/recognition/mask_map.h>`

## Public Member Functions

| MaskMap ()=default
| MaskMap (std::size_t width, std::size_t height)
virtual | ~MaskMap ()=default
void | resize (std::size_t width, std::size_t height)
std::size_t | getWidth () const
std::size_t | getHeight () const
unsigned char * | getData ()
const unsigned char * | getData () const
void | set (const std::size_t x, const std::size_t y)
void | unset (const std::size_t x, const std::size_t y)
bool | isSet (const std::size_t x, const std::size_t y) const
void | reset ()
unsigned char & | operator() (const std::size_t x, const std::size_t y)
const unsigned char & | operator() (const std::size_t x, const std::size_t y) const
void | erode (MaskMap &eroded_mask) const

## Static Public Member Functions

static PCL_NODISCARD MaskMap | getDifferenceMask (const MaskMap &mask0, const MaskMap &mask1)

## Detailed Description

Definition at line 45 of file mask_map.h.

## Constructor & Destructor Documentation

## MaskMap() [1/2]

pcl::MaskMap::MaskMap | ( |  | ) |

default

## MaskMap() [2/2]

pcl::MaskMap::MaskMap | ( | std::size_t | width,
|  | std::size_t | height
| ) |  |

## ~MaskMap()

virtual pcl::MaskMap::~MaskMap | ( |  | ) |

virtual default

## Member Function Documentation

## erode()

void pcl::MaskMap::erode | ( | MaskMap & | eroded_mask | ) | const

## getData() [1/2]

unsigned char * pcl::MaskMap::getData | ( |  | ) |

inline

Definition at line 69 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), and pcl::SurfaceNormalModality< PointInT >::computeDistanceMap().

## getData() [2/2]

const unsigned char * pcl::MaskMap::getData | ( |  | ) | const

inline

Definition at line 75 of file mask_map.h.

## getDifferenceMask()

static PCL_NODISCARD MaskMap pcl::MaskMap::getDifferenceMask | ( | const MaskMap & | mask0,
|  | const MaskMap & | mask1
| ) |  |

static

Referenced by pcl::ColorGradientModality< PointInT >::extractFeatures().

## getHeight()

std::size_t pcl::MaskMap::getHeight | ( |  | ) | const

inline

Definition at line 63 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), pcl::SurfaceNormalModality< PointInT >::computeDistanceMap(), pcl::ColorGradientModality< PointInT >::erode(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), and pcl::ColorGradientModality< PointInT >::extractFeatures().

## getWidth()

std::size_t pcl::MaskMap::getWidth | ( |  | ) | const

inline

Definition at line 57 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), pcl::SurfaceNormalModality< PointInT >::computeDistanceMap(), pcl::ColorGradientModality< PointInT >::erode(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointInT >::extractFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), and pcl::ColorGradientModality< PointInT >::extractFeatures().

## isSet()

bool pcl::MaskMap::isSet | ( | const std::size_t | x,
|  | const std::size_t | y
| ) |  | const

inline

Definition at line 97 of file mask_map.h.

## operator()() [1/2]

unsigned char & pcl::MaskMap::operator() | ( | const std::size_t | x,
|  | const std::size_t | y
| ) |  |

inline

Definition at line 109 of file mask_map.h.

## operator()() [2/2]

const unsigned char & pcl::MaskMap::operator() | ( | const std::size_t | x,
|  | const std::size_t | y
| ) |  | const

inline

Definition at line 115 of file mask_map.h.

## reset()

void pcl::MaskMap::reset | ( |  | ) |

inline

Definition at line 103 of file mask_map.h.

## resize()

void pcl::MaskMap::resize | ( | std::size_t | width,
|  | std::size_t | height
| ) |  |

Referenced by pcl::ColorGradientModality< PointInT >::erode(), pcl::SurfaceNormalModality< PointInT >::extractAllFeatures(), and pcl::SurfaceNormalModality< PointInT >::extractFeatures().

## set()

void pcl::MaskMap::set | ( | const std::size_t | x,
|  | const std::size_t | y
| ) |  |

inline

Definition at line 85 of file mask_map.h.

## unset()

void pcl::MaskMap::unset | ( | const std::size_t | x,
|  | const std::size_t | y
| ) |  |

inline

Definition at line 91 of file mask_map.h.

The documentation for this class was generated from the following file:

- pcl/recognition/mask_map.h